package com.emr.dao.emrCode;

import com.emr.entity.emrCode.T_Herb_Diag;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface T_Herb_DiagMapper {
    int insert(T_Herb_Diag record);

    int insertSelective(T_Herb_Diag record);

    List<T_Herb_Diag> selectAllByPatientId(@Param("patientId")String patientId, @Param("herbNo")Short herbNo);

    void updateByPrimaryKeySelective(T_Herb_Diag record);

    void deleteHerbDiagByPatientIdAndHerbNo(@Param("patientId")String patientId,@Param("herbNo")Short herbNo);
}